package com.brilliance.isc.mda.dao;


import com.brilliance.isc.bo.Eba;
import com.brilliance.isc.bo.Ebc;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Entity com.brilliance.isc.bo.Ebc
 */
@Mapper
public interface EbcMapper {
    int insert(Ebc record);
    Ebc selectByInr(String inr);
    Ebc selectByEblInr(String eblInr);
    int updateByExguarancode(String exguarancode);
    List<Ebc> selectByObjinr(String objinr);
    int updateByPrimaryKeySelective(Ebc record);
    int deleteByPrimaryKey(Ebc record);
}



